<template>
    <template if:false={wiredRecord.data}>
        <lightning-card>
            <span class="slds-align_absolute-center no-boat-height">{label.labelPleaseSelectABoat}</span>
        </lightning-card>
    </template>
    <template if:true={wiredRecord.data}>
        <lightning-card>
            <lightning-tabset variant="scoped">
                <lightning-tab label={label.labelDetails}>
                    <lightning-card icon-name={detailsTabIconName} title={boatName}>
                        <lightning-button slot="actions" label={label.labelFullDetails}
                            onclick={navigateToRecordViewPage}>
                        </lightning-button>
                        <lightning-record-view-form density="compact" record-id={boatId} object-api-name="Boat__c">
                            <lightning-output-field field-name="BoatType__c" class="slds-form-element_1-col">
                            </lightning-output-field>
                            <lightning-output-field field-name="Length__c" class="slds-form-element_1-col">
                            </lightning-output-field>
                            <lightning-output-field field-name="Price__c" class="slds-form-element_1-col">
                            </lightning-output-field>
                            <lightning-output-field field-name="Description__c" class="slds-form-element_1-col">
                            </lightning-output-field>
                        </lightning-record-view-form>
                    </lightning-card>
                </lightning-tab>
                <lightning-tab label={label.labelReviews} value="reviews">
                    <c-boat-reviews record-id={boatId}></c-boat-reviews>
                </lightning-tab>
                <lightning-tab label={label.labelAddReview}>
                    <c-boat-add-review-form record-id={boatId} oncreatereview={handleReviewCreated}>
                    </c-boat-add-review-form>
                </lightning-tab>
            </lightning-tabset>
        </lightning-card>
    </template>
</template>